@import './variables';

@mixin generate-theme($theme) {
    div {
        @if $theme == 'red' {
            border-radius: $red-border-radius;
        } @else {
            border-radius: $blue-border-radius;
        }
    }
    .base {
        @if $theme == 'red' {
            background-color: $red-background-color;
        } @else {
            background-color: $blue-background-color;
        }
    }
    .important {
        @if $theme == 'red' {
            background-color: $red-important-background-color;
        } @else {
            background-color: $blue-important-background-color;
        }
    }
    .warning {
        @if $theme == 'red' {
            background-color: $red-warning-background-color;
        } @else {
            background-color: $blue-warning-background-color;
        }
    }

    .primary-font {
        @if $theme == 'red' {
            font-family: $red-primary-font-family;
            font-size: $red-primary-font-size;
            font-weight: $red-primary-font-weight;
        } @else {
            font-family: $blue-primary-font-family;
            font-size: $blue-primary-font-size;
            font-weight: $blue-primary-font-weight;
        }
    }
    .secondary-font {
        @if $theme == 'red' {
            font-family: $red-secondary-font-family;
            font-size: $red-secondary-font-size;
            font-weight: $red-secondary-font-weight;
        } @else {
            font-family: $blue-secondary-font-family;
            font-size: $blue-secondary-font-size;
            font-weight: $blue-secondary-font-weight;
        }
    }
    .box-with-shadow {
        @if $theme == 'red' {
            -webkit-box-shadow: $red-box-shadow;
            -moz-box-shadow: $red-box-shadow;
            box-shadow: $red-box-shadow;
        } @else {
            -webkit-box-shadow: $blue-box-shadow;
            -moz-box-shadow: $blue-box-shadow;
            box-shadow: $blue-box-shadow;
        }
    }    
}